#!/usr/bin/env node

'use strict';

const args = require('yargs')
  .option('c', { alias: 'client', type: 'string'})
  .argv;


main();


function main() {
  if (args.help) {
    return help();
  }
  connect();
}

function connect() {
  let io;
  if (args.client !== undefined) {
    io = require('./lib/client')(parseHost());
  } else {
    io = require('./lib/server')(parseHost());
  }
  require('./lib/clipboard')(io);
}

function parseHost() {
  let address = args._[0] || args.client;
  let [host, port = 1077] = address.toString().split(':');
  return {host, port};
}

function help() {
  console.log(`Using clipboard-share [-c] [host:port|host]
`);
}