'use strict';

const copyPaste = require('copy-paste');

module.exports = function processClipboard(io) {
  let lastValue;

  io.on('paste', text => {
    lastValue = text;
    copyPaste.copy(text);
    console.log('Received: ' + text);
  });

  setInterval(() => {
    copyPaste.paste((e, current) => {
      if (current === lastValue) {
        return;
      }
      lastValue = current;
      io.emit('paste', current);
      console.log('Send: ' + current);
    });
  }, 100);
};