'use strict';

const http      = require('http');
const socketIo  = require('socket.io');
const copyPaste = require('copy-paste');


module.exports = function createServer({host = '10.0.2.2', port = 1077}) {
  console.log(`Starting server ${host}:${port}`);
  var server = http.createServer();
  var io = socketIo(server);
  io.on('connection', socket => {
    console.log(`Client ${socket.conn.remoteAddress} is connected`);
    socket.on('disconnect', () => {
      console.log(`Client ${socket.conn.remoteAddress} is disconnected`);
    });
    copyPaste.paste((e, current) => {
      socket.emit('paste', current);
    });
  });
  server.listen(port, host);
  return io;
};